## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate predicates

Name:           rust-predicates2
Version:        2.1.5
Release:        %autorelease
Summary:        Implementation of boolean-valued predicate functions

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/predicates
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused color and color-auto features and their dependencies
Patch:          predicates-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An implementation of boolean-valued predicate functions.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+diff-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+diff-devel %{_description}

This package contains library source intended for building other packages which
use the "diff" feature of the "%{crate}" crate.

%files       -n %{name}+diff-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+float-cmp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+float-cmp-devel %{_description}

This package contains library source intended for building other packages which
use the "float-cmp" feature of the "%{crate}" crate.

%files       -n %{name}+float-cmp-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+normalize-line-endings-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+normalize-line-endings-devel %{_description}

This package contains library source intended for building other packages which
use the "normalize-line-endings" feature of the "%{crate}" crate.

%files       -n %{name}+normalize-line-endings-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip one broken doctest
%cargo_test -- -- --skip path::fc::PredicateFileContentExt::from_file_path
%endif

%changelog
* Sat Apr 08 2023 Fabio Valentini <decathorpe@gmail.com> - 2.1.5-1
- Initial import (predicates 2 compat package)
